package com.goldenwater.slaj.hazard.service;

import java.util.List;
import com.goldenwater.slaj.hazard.domain.TBusiControlMeasure;

/**
 * 管控措施 服务层
 */
public interface ITBusiControlMeasureService {

    TBusiControlMeasure selectTBusiControlMeasureByGuid(String guid);

    List<TBusiControlMeasure> selectTBusiControlMeasureList(TBusiControlMeasure tBusiControlMeasure);

    int insertTBusiControlMeasure(TBusiControlMeasure tBusiControlMeasure);

    int updateTBusiControlMeasure(TBusiControlMeasure tBusiControlMeasure);

    int deleteTBusiControlMeasureByGuid(String guid);

    int deleteTBusiControlMeasureByGuids(String[] guids);
}
